# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rMAL/version'

Gem::Specification.new do |spec|
	spec.name          = "rMAL"
	spec.version       = RMAL::VERSION
	spec.authors       = ["Jude Rosen (foogit)"]
	spec.email         = ["mrrosen.jude@gmail.com"]
	spec.description   = %q{API bindings for MyAnimeList in Ruby (stable release forth-coming)}
	spec.summary       = %q{MyAnimeList backend Ruby API  (stable release forth-coming)}
	spec.homepage      = "https://github.com/foogit/rMAL"
	spec.license       = "MIT"

	spec.post_install_message = "Thanks for installing, but just know that this is an unstable release and may not work."

	spec.files         = `git ls-files`.split($/)
	spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
	spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
	spec.require_paths = ["lib"]

	spec.add_development_dependency "bundler", "~> 1.3"
	spec.add_development_dependency "rake"
	spec.add_development_dependency "rspec"
end
